
%global meadversion 2.9.1
%global namedversion 2.9.1.redhat-6
%global meadalpha .redhat_6
%global meadrel .1
%global serial 17
%global namedversionrel redhat-6

%bcond_with javadoc
%bcond_without mead

%define maven_version 2.9.1.redhat-6

Name:           xerces-j2-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Xerces-J
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: xercesImpl-2.9.1.redhat-6-scm-sources.zip
Source102: xercesImpl-2.9.1.redhat-6.pom
Source103: xercesImpl-2.9.1.redhat-6-javadoc.jar
Source104: xercesImpl-2.9.1.redhat-6.jar
Source105: xercesImpl-2.9.1.redhat-6-sources.jar
%endif

URL:            http://xerces.apache.org/xerces2-j
Provides:       xercesImpl-eap6 = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/xercesImpl-%{namedversion}-%{release}-root

%description
Xerces2 is the next generation of high performance, fully compliant XML
parsers in the Apache Xerces family. This new version of Xerces introduces
the Xerces Native Interface (XNI), a complete framework for building parser
components and configurations that is extremely modular and easy to program.

%prep
%setup -q -n xerces2-j -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/xercesImpl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/xercesImpl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/xercesImpl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/xercesImpl-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/xercesImpl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/xercesImpl-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files -n xerces-j2-eap6
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE
%{_javadir}/%{name}/xercesImpl-%{namedversion}.jar
%{_javadir}/%{name}/xercesImpl.jar
%exclude %{_javadir}/%{name}/xercesImpl-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/xercesImpl-javadoc.jar
%{_javadir}/%{name}/xercesImpl-%{namedversion}-sources.jar
%{_javadir}/%{name}/xercesImpl-sources.jar

%changelog
* Fri Sep 26 2014 David Walluck <dwalluck@redhat.com> - 2.9.1-17.redhat_6.1
- fix CVE-2013-4002 rhbz#1140004 

* Tue Oct 08 2013 David Walluck <dwalluck@redhat.com> 0:2.9.1-15
- convert to MEAD

* Mon Mar 26 2013 David Walluck <dwalluck@redhat.com> 0:2.9.1-14
- fix version in manifest
- use upstream pom
- rerun vman
- provide the correct name, xercesImpl

* Sat Sep 08 2012 Paul Gier <pgier@redhat.com> 0:2.9.1-13
- Update pom patch for latest bom

* Fri Sep 07 2012 Fernando Nasser <fnasser@redhat.com> 0:2.9.1-12
- Make BR for liberation fonts vary with OS version

* Wed Aug 15 2012 David Walluck <dwalluck@redhat.com> 0:2.9.1-11
- fix repolib
- fix scope on cvs_version and shortname macros

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.9.1-10.5_redhat_2.5
- Rebuild due to deploy bug

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.9.1-10.5_redhat_2.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.9.1-10.5_redhat_1.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.9.1-10.5_redhat_1.1
- Rebuild using cache signing

* Thu Jun 14 2012 David Walluck <dwalluck@redhat.com> 0:2.9.1-10.5
- update fonts BR

* Wed May 16 2012 David Walluck <dwalluck@redhat.com> 0:2.9.1-10.4
- perform full build
- rerun vman on pom
- add a partial monolithic layout matching bin zip (for data and samples)
- merge javadocs into one package, keeping upstream layout
- mark xml-apis optional and provided (needed for compilation, but not runtime)
- must hardcode xml-resolver version for now
- fix invalid Source0 URL
- fix macro in changelog
- add LICENSE and NOTICE to some packages
- change Group to Development/Java on some packages

* Tue Apr 10 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.9.1-10.3_redhat_1.2
- Rebuild with a -eap6 suffix to avoid conflict with RHEL-6 base

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.9.1-10.3_redhat_1.1
- Rebuild using cache signing

* Thu Feb 16 2012 David Walluck <dwalluck@redhat.com> 0:2.9.1-10.3
- enable repolib

* Wed Feb 15 2012 David Walluck <dwalluck@redhat.com> 0:2.9.1-10.2
- requires jpackage-utils
- serializer jar is serializer.jar (no need to set CLASSPATH)

* Tue Feb 14 2012 Fernando Nasser <fnasser@redhat.com> 0:2.9.1-10.1
- Do not require JAXP API at run-time (provided)

* Tue Nov 22 2011 David Walluck <dwalluck@redhat.com> 0:2.9.1-10
- don't require xml-resolver (optional)
- requires post/postun jpackage-utils for maven support
- fix call to update maven depmap
- fix file ownership in main package
- remove obsolete dom3 symlink
- install real pom
- fix install
- fix docs install
- fix repolib file ownership
- fix repolib
- remove gcj support
- all javadoc subpackages require jpackage-utils
- BuildRequires: xml-stylebook
- patch for redhat
- install samples to _javadir

* Thu Nov 17 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.9.1-9_redhat_1.2
- Rebuild

* Wed Nov 16 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.9.1-9_redhat_1
- Upgrade to 2.9.1-redhat-1

* Wed Jan 19 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.9.1-8.patch01.1
- Fix release tag
- Add pom files for resolver and xml-apis
- Adjust creation of maven2-brew contents

* Wed Jan 19 2011 Hui Wang <huwang@redhat.com> - 0:2.9.1-8
- Fix component-info.xml

* Wed Jan 19 2011 Hui Wang <huwang@redhat.com> - 0:2.9.1-7
- Fix repodir

* Wed Jan 19 2011 Hui Wang <huwang@redhat.com> - 0:2.9.1-6
- Rebuild

* Mon Jan 17 2011 Hui Wang <huwang@redhat.com> - 0:2.9.1-5
- Rebuild

* Mon Jan 17 2011 Hui Wang <huwang@redhat.com> - 0:2.9.1-4
- Rebuild
- Use deploy command instead of upload.sh

* Mon Nov 29 2010 Hui Wang <huwang@redhat.com> - 0:2.9.1-3
- Add upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars

* Thu Jun 10 2010 Yiqiao Wang <yiwang@redhat.com> - 0:2.9.1-2.3.1
- merge witih RHEL4

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.9.1-2.2_patch_01.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.9.1-2.2_patch_01.2
- Rebuild

* Tue Dec 08 2009 David Walluck <dwalluck@redhat.com> 0:2.9.1-2.2_patch_01.1
- fix options

* Tue Oct 06 2009 Permaine Cheung <pcheung@redhat.com> 0:2.9.1-2.2_patch_01
- Add patch for CVE-2009-2625

* Tue Jun 09 2009 Martha Benitez <mbenitez@redhat.com> 0:2.9.1-2.1
- Comment out BR  java-fonts

* Tue Jan 13 2009 David Walluck <dwalluck@redhat.com> 0:2.9.1-2
- BuildRequires: xml-commons-repolib = 0:1.3.04

* Wed Jan 07 2009 David Walluck <dwalluck@redhat.com> 0:2.9.1-1
- 2.9.1

* Tue Aug 12 2008 David Walluck <dwalluck@redhat.com> 0:2.7.1-12
- add apache-xml-commons 1.3.04 as compatible

* Wed May 28 2008 David Walluck <dwalluck@redhat.com> 0:2.7.1-11.jpp5
- sync with 10jpp
- own %%{_libdir}/gcj/%%{name}
- remove javadoc scriptlets
- proper %%doc
- remove incorrect requirement on gnu-crypto
- use %%{javac} macro
- fix eol of NOTICE
- fix License
- fix Obsoletes/Provides for xerces-j2-dom3{,-javadoc}
- fix macro in %%changelog
- fix xml-commons-resolver dependency
- remove Vendor and Distribution tags

* Sat Apr 12 2008 David Walluck <dwalluck@redhat.com> 0:2.7.1-9jpp.ep1.2
- add xalan-j2-serializer to CLASSPATH
- BuildRequires: java-fonts

* Tue Mar 13 2007 Fernando Nasser <fnasser@redhat.com> 0:2.7.1-9jpp.ep1.1
- New repolib location

* Fri Feb 23 2007 Matt Wringe <mwringe@redhat.com> 0:2.7.1-9jpp.el4ep1.2
- Change requirement of jaxp_parset_impl to xerces-j2 to prevent crimson
  from being used (crimson will cause the build to fail).

* Fri Feb 23 2007 Matt Wringe <mwringe@redhat.com> 0:2.7.1-9jpp.el4ep1.1
- First EP build
- Add repolib option

* Fri Feb 09 2007 Ralph Apel <r.apel at r-apel.de> 0:2.7.1-9jpp
- Add option to bootstrap without xml-stylesheet nor xalan
- Restore -manual subpackage when not bootstrap and with xml-stylesheet

* Tue Aug 15 2006 Matt Wringe <mwringe at redhat.com< 0:2.7.1-8jpp
- Fixed requires typo

* Sat Aug 12 2006 Matt Wringe <mwringe at redhat.com> 0:2.7.1-7jpp
- Add conditional native compiling
- Add missing requires for javadocs
- Add missing requires for post and preun
- Update version to 7jpp at Fedora's request

* Thu Mar 30 2006 Fernando Nasser <fnasser@redhat.com> 0:2.7.1-3jpp
- Add missing BR for xml-stylebook

* Wed Mar 22 2006 Ralph Apel <r.apel at r-apel.de> 0:2.7.1-2jpp
- First JPP-1.7 release
- use tools subdir and give it as java.endorsed.dirs (for java-1.4.2-bea e.g.)

* Fri Oct 07 2005 Ralph Apel <r.apel at r-apel.de> 0:2.7.1-1jpp
- Upgrade to 2.7.1

* Thu Jul 21 2005 Ralph Apel <r.apel at r-apel.de> 0:2.6.2-7jpp
- Include target jars-dom3
- Create new subpackage dom3

* Wed Jul 13 2005 Gary Benson <gbenson at redhat.com> 0:2.6.2-6jpp
- Build with Sun JDK (from <gareth.armstrong at hp.com>).

* Tue Jun 14 2005 Gary Benson <gbenson at redhat.com> 0:2.6.2-5jpp
- Remove the tools tarball, and build xjavac from source.
- Patch xjavac to fix the classpath under libgcj too.

* Thu Aug 26 2004 Ralph Apel <r.apel at r-apel.de> 0:2.6.2-4jpp
- Build with ant-1.6.2
- Dropped jikes requirement, built for 1.4.2

* Wed Jun 23 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:2.6.2-3jpp
- Updated Patch #0 to fix breakage using BEA 1.4.2 SDK, new patch
  from <mwringe@redhat.com> and <vivekl@redhat.com>.

* Mon Mar 29 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:2.6.2-2jpp
- Rebuilt with jikes 1.18 for java 1.3.1_11

* Tue Mar 23 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:2.6.2-1jpp
- 2.6.2

* Sun Feb 08 2004 David Walluck <david@anti-microsoft.org> 0:2.6.1-1jpp
- 2.6.1
- update Source0 URL
- now requires xml-commons-resolver

* Fri Jan  9 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:2.6.0-1jpp
- Update to 2.6.0
- Patch #1 (xerces-j2-manifest.patch) is unnecessary (upstream)

* Tue Oct 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.5.0-1jpp
- Update to 2.5.0.
- Clean up versionless javadoc dir symlinking, own (ghost) the symlinks.
- Mark javadocs as %%doc.

* Wed Jun  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.4.0-3jpp
- Own (ghost) %%{_javadir}/jaxp_parser_impl.jar.
- Remove alternatives in preun instead of postun.

* Mon May 12 2003 David Walluck <david@anti-microsoft.org> 0:2.4.0-2jpp
- bug #17325 fixed upstream

* Mon May 12 2003 David Walluck <david@anti-microsoft.org> 0:2.4.0-1jpp
- 2.4.0
- BuildRequires: jikes
- update for JPackage 1.5
- re-diff'ed build patch for 2.4.0
- bug #17325 handled by perl now
- scripts: s|find-jar|build-classpath| and don't test for java-functions

* Wed Mar 26 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> - 2.3.0-2jpp
- For jpackage-utils 1.5
- zapped manual, since it doesn't want to build
- as a consequence, removed uneeded dependencies

* Mon Feb 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 2.3.0-1jpp
- Update to 2.3.0.
- Add a crude patch to work around invalid XML in doc sources, see
  <http://nagoya.apache.org/bugzilla/show_bug.cgi?id=17325>.
- Built with IBM's 1.3.1 SR3.

* Sat Dec 28 2002 Ville Skyttä <ville.skytta at iki.fi> - 2.2.1-2jpp
- Add upstream patch which fixes problems with Tomcat's webapps.
  <http://nagoya.apache.org/bugzilla/show_bug.cgi?id=13282>
  <http://marc.theaimsgroup.com/?l=xerces-cvs&m=103791990130308>
- Separate scripts subpackage.

* Fri Nov 15 2002 Ville Skyttä <ville.skytta at iki.fi> - 2.2.1-1jpp
- Update to 2.2.1.
- Change alternative to point to non-versioned jar.
- Don't remove alternative on upgrade.
- Fix Group tag for demo, javadoc and manual subpackages.
- Add version and constants scripts.
- Some spec file cleanup.

* Sun Oct  6 2002 Ville Skyttä <ville.skytta at iki.fi> 2.2.0-2jpp
- Fix bad permissions for main jar.

* Sun Sep 29 2002 Ville Skyttä <ville.skytta at iki.fi> 2.1.0-1jpp
- Update to 2.2.0.

* Tue Sep 10 2002 Ville Skyttä <ville.skytta at iki.fi> 2.1.0-2jpp
- Rebuild with -Dcompiler=modern, not a Jikes bug this time, but sloppy code
  that is tolerated by javac.  See <http://www-124.ibm.com/developerworks/bugs/?func=detailbug&bug_id=3218&group_id=10> for details.

* Tue Sep 10 2002 Ville Skyttä <ville.skytta at iki.fi> 2.1.0-1jpp
- 2.1.0.
- Updated description.
- Changed javadoc and manual group to Documentation.
- Spec file cleanups.

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.2-4jpp
- add BuildRequires xerces-j1 and xalan-j2
- removed BuildRequires xml-commons-api since ant require jaxp_parser_impl
  which in turn require xml-commons-api ;)

* Mon Jul 01 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.2-3jpp 
- vendor, distribution, group tags
- provides jaxp_parser_impl
- dropped api jar
- renamed lone jar to %%{name}.jar
- priority bumped to 40
- fixed stylebook build (add xerces-j1 in classpath)

* Wed Jun 26 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.2-2jpp
- rebuild for missing symlinks
- use sed instead of bash 2.x extension in link area to make spec compatible with distro using bash 1.1x

* Mon Jun 24 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.2-1jpp
- 2.0.2

* Sun Mar 10 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.1-1jpp 
- 2.0.1
- provides jaxp_parser2 virtual resource
- drop wrapper

* Sun Feb 03 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.0-1jpp 
- first JPackage release
